
def getPriority():
    return 12

def getCategory():
    return 2

def getName():
    return "Partition Info"

def runTest(report,attributes):
    testReportBody=""
    testReportTitle="Partition Info"

    import win32com.client
    strComputer = "."
    objWMIService = win32com.client.Dispatch("WbemScripting.SWbemLocator")
    objSWbemServices = objWMIService.ConnectServer(strComputer,"root\cimv2")
    colItems = objSWbemServices.ExecQuery("Select * from Win32_DiskPartition")

    count=0
    for objItem in colItems:
        count=count+1
        testReportBody=testReportBody+"<H3>partition " + str(count) + "</H3>"
        testReportBody=testReportBody+ "Bootable: "+ str(objItem.Bootable)
        testReportBody=testReportBody+"<BR/>"+ "Boot partition: "+ str(objItem.BootPartition)
        testReportBody=testReportBody+"<BR/>"+ "Device ID: "+ str(objItem.DeviceID)
        testReportBody=testReportBody+"<BR/>"+ "Disk index: "+ str(objItem.DiskIndex)
        testReportBody=testReportBody+"<BR/>"+ "Index: "+ str(objItem.Index)
        testReportBody=testReportBody+"<BR/>"+ "Primary partition: "+ str(objItem.PrimaryPartition)
        testReportBody=testReportBody+"<BR/>"+ "Size: "+ str(objItem.Size)
        testReportBody=testReportBody+"<BR/>"+ "Starting offset: "+ str(objItem.StartingOffset)
        testReportBody=testReportBody+"<BR/>"+ "Type: "+ str(objItem.Type)

    colItems=objSWbemServices.ExecQuery("Select * from Win32_LogicalDisk")
    count=0
    for objItem in colItems:
        count=count+1
        testReportBody=testReportBody+"<H3>logical disk " + str(count) + "</H3>"
        testReportBody=testReportBody+ "Caption: "+ str(objItem.Caption)
        testReportBody=testReportBody+"<BR/>"+ "File system: "+ str(objItem.FileSystem)
        testReportBody=testReportBody+"<BR/>"+ "Free space: "+ str(objItem.FreeSpace)
        testReportBody=testReportBody+"<BR/>"+ "Size: "+ str(objItem.Size)
        testReportBody=testReportBody+"<BR/>"+ "System name: "+ str(objItem.SystemName)
        testReportBody=testReportBody+"<BR/>"+ "Volume name: "+ str(objItem.VolumeName)
        
    report.appendSystemConfigurationSection(testReportTitle,testReportBody)
