
def getPriority():
    return 10

def getCategory():
    return 1

def getName():
    return "Processor Info"

def runTest(report,attributes):
    testReportBody=""
    testReportTitle="Processor Info"

    import win32com.client
    strComputer = "."
    objWMIService = win32com.client.Dispatch("WbemScripting.SWbemLocator")
    objSWbemServices = objWMIService.ConnectServer(strComputer,"root\cimv2")
    colItems = objSWbemServices.ExecQuery("Select * from Win32_Processor")
    for objItem in colItems:
        testReportBody=testReportBody+ "Address Width: "+ str(objItem.AddressWidth)
        testReportBody=testReportBody+"<BR/>"+ "Architecture: "+ str(objItem.Architecture)
        testReportBody=testReportBody+"<BR/>"+ "Availability: "+ str(objItem.Availability)
        testReportBody=testReportBody+"<BR/>"+ "Caption: "+ objItem.Caption
        testReportBody=testReportBody+"<BR/>"+ "Config Manager Error Code: "+ str(objItem.ConfigManagerErrorCode)
        testReportBody=testReportBody+"<BR/>"+ "Config Manager User Config: "+ str(objItem.ConfigManagerUserConfig)
        testReportBody=testReportBody+"<BR/>"+ "Cpu Status: "+ str(objItem.CpuStatus)
        testReportBody=testReportBody+"<BR/>"+ "Creation Class Name: "+ objItem.CreationClassName
        testReportBody=testReportBody+"<BR/>"+ "Current Clock Speed: "+ str(objItem.CurrentClockSpeed)
        testReportBody=testReportBody+"<BR/>"+ "Current Voltage: "+ str(objItem.CurrentVoltage)
        testReportBody=testReportBody+"<BR/>"+ "Data Width: "+ str(objItem.DataWidth)
        testReportBody=testReportBody+"<BR/>"+ "Description: "+ objItem.Description
        testReportBody=testReportBody+"<BR/>"+ "Device ID: "+ str(objItem.DeviceID)
        testReportBody=testReportBody+"<BR/>"+ "Error Cleared: "+ str(objItem.ErrorCleared)
        testReportBody=testReportBody+"<BR/>"+ "Error Description: "+ str(objItem.ErrorDescription)
        testReportBody=testReportBody+"<BR/>"+ "Ext Clock: "+ str(objItem.ExtClock)
        testReportBody=testReportBody+"<BR/>"+ "Family: "+ str(objItem.Family)
        testReportBody=testReportBody+"<BR/>"+ "Install Date: "+ str(objItem.InstallDate)
        testReportBody=testReportBody+"<BR/>"+ "L2 Cache Size: "+ str(objItem.L2CacheSize)
        testReportBody=testReportBody+"<BR/>"+ "L2 Cache Speed: "+ str(objItem.L2CacheSpeed)
        testReportBody=testReportBody+"<BR/>"+ "Last Error Code: "+ str(objItem.LastErrorCode)
        testReportBody=testReportBody+"<BR/>"+ "Level: "+ str(objItem.Level)
        testReportBody=testReportBody+"<BR/>"+ "Load Percentage: "+ str(objItem.LoadPercentage)
        testReportBody=testReportBody+"<BR/>"+ "Manufacturer: "+ str(objItem.Manufacturer)
        testReportBody=testReportBody+"<BR/>"+ "Max Clock Speed: "+ str(objItem.MaxClockSpeed)
        testReportBody=testReportBody+"<BR/>"+ "Name: "+ objItem.Name
        testReportBody=testReportBody+"<BR/>"+ "Other Family Description: "+ str(objItem.OtherFamilyDescription)
        testReportBody=testReportBody+"<BR/>"+ "PNP Device ID: "+ str(objItem.PNPDeviceID)
        z = objItem.PowerManagementCapabilities
        if z is None:
            a = 1
        else:
            for x in z:
                testReportBody=testReportBody+"<BR/>"+ "Power Management Capabilities: "+ x
        testReportBody=testReportBody+"<BR/>"+ "Power Management Supported: "+ str(objItem.PowerManagementSupported)
        testReportBody=testReportBody+"<BR/>"+ "Processor Id: "+ str(objItem.ProcessorId)
        testReportBody=testReportBody+"<BR/>"+ "Processor Type: "+ str(objItem.ProcessorType)
        testReportBody=testReportBody+"<BR/>"+ "Revision: "+ str(objItem.Revision)
        testReportBody=testReportBody+"<BR/>"+ "Role: "+ str(objItem.Role)
        testReportBody=testReportBody+"<BR/>"+ "Socket Designation: "+ str(objItem.SocketDesignation)
        testReportBody=testReportBody+"<BR/>"+ "Status: "+ str(objItem.Status)
        testReportBody=testReportBody+"<BR/>"+ "Status Info: "+ str(objItem.StatusInfo)
        testReportBody=testReportBody+"<BR/>"+ "Stepping: "+ str(objItem.Stepping)
        testReportBody=testReportBody+"<BR/>"+ "System Creation Class Name: "+ str(objItem.SystemCreationClassName)
        testReportBody=testReportBody+"<BR/>"+ "System Name: "+ str(objItem.SystemName)
        testReportBody=testReportBody+"<BR/>"+ "Unique Id: "+ str(objItem.UniqueId)
        testReportBody=testReportBody+"<BR/>"+ "Upgrade Method: "+ str(objItem.UpgradeMethod)
        testReportBody=testReportBody+"<BR/>"+ "Version: "+ str(objItem.Version)
        testReportBody=testReportBody+"<BR/>"+ "Voltage Caps: "+ str(objItem.VoltageCaps)
    
    report.appendHardwareSection(testReportTitle,testReportBody)
